Get Tenant Statistics
GET
/tenant/{tenantId}/stats
const url = 'https://api.exolink.cloud/tenant/example/stats';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.exolink.cloud/tenant/example/stats \ --header 'Authorization: Bearer <token>'Retrieve charger counts and the identities of the tenant’s chargers
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenantId
required
string
Tenant domain prefix
Responses
Section titled “Responses”Tenant statistics
Media typeapplication/json
Tenant charger statistics
object
stats
object
chargerDbCount
Total number of chargers
integer
chargerConnectedCount
Number of chargers connected to the platform
integer
cpmsConnectedCount
Number of chargers connected to their CPMS
integer
charger
All chargers of the tenant
Array<object>
object
id
integer
identity
string
Example generated
{ "stats": { "chargerDbCount": 1, "chargerConnectedCount": 1, "cpmsConnectedCount": 1 }, "charger": [ { "id": 1, "identity": "example" } ]}Missing, invalid or expired credentials
Media typeapplication/json
Error response. Some rejections carry only message.
object
message
required
Error message
string
errorCode
Error code
string
details
Failed validations, for requests checked against a schema
Array<object>
object
path
Path of the invalid field
string
message
string
code
string
Example
{ "message": "Not authorized", "errorCode": "ERR_API_NOT_AUTHORIZED"}The caller may not perform this action
Media typeapplication/json
Error response. Some rejections carry only message.
object
message
required
Error message
string
errorCode
Error code
string
details
Failed validations, for requests checked against a schema
Array<object>
object
path
Path of the invalid field
string
message
string
code
string
Example
{ "message": "Forbidden", "errorCode": "ERR_API_FORBIDDEN"}